.action {
    z-index: 30;
    position: relative;
    margin-bottom: rem(7);

    &__body {

    }

    &__main {

    }

    &__content {
        margin-bottom: rem(24);
    }

    &__header {
        color: var(--color-white);
        font-weight: 700;
        font-size: rem(32);
        line-height: normal;
        margin-bottom: rem(14);
        text-transform: uppercase;
        font-family: var(--font-secondary);
    }

    &__text {
        font-size: rem(16);
        line-height: rem(26);
    }

    &__media {
        margin: 0 rem(-16);
    }

    &__order {
        border: 1px solid #414141;
        padding: rem(20) rem(28) rem(32) rem(28);
    }

    &__title {
        font-weight: 500;
        font-size: rem(16);
        line-height: rem(24);
        margin-bottom: rem(24);
        color: var(--color-white);
        font-family: var(--font-secondary);
    }

    &__countdown {
        max-width: rem(380);
        margin-bottom: rem(34);
    }

    &__button {

        .btn {
            width: 100%;
        }
    }

    @media (min-width: $screen-sm) {

        &__media {
            margin: 0;
        }
    }

    @media (min-width: $screen-md) {
        margin-bottom: rem(36);

        &__body {
            border: 1px solid #414141;
        }

        &__main {
            border-bottom: 1px solid #414141;
        }

        &__content {
            z-index: 20;
            position: relative;
            padding: rem(58) rem(40) 0 rem(60);
            margin-bottom: rem(-140);
        }

        &__header {
            font-size: rem(44);
            margin-bottom: rem(30);
        }

        &__order {
            border: none;
            overflow: hidden;
            padding: rem(56) rem(56) rem(50) rem(56);
            background: url("../img/action__bg.jpg") 100% 100% no-repeat;
        }

        &__title {
            font-size: rem(23);
            margin-bottom: rem(28);
        }

        &__countdown {
            width: rem(458);
            max-width: inherit;
            margin-bottom: rem(36);
        }

        &__button {

            .btn {
                width: auto;
            }
        }
    }

    @media (min-width: $screen-xl) {
        margin-bottom: rem(90);

        &__main {
            height: 472px;
            overflow: hidden;
            position: relative;
            display: flex;
            flex-direction: column;
        }

        &__content {
            margin: auto 0;
            padding:  0 0 0 rem(100);
        }

        &__header {
            font-size: rem(54);
            margin-bottom: rem(48);
        }

        &__text {
            font-size: rem(18);
            line-height: normal;
            width: rem(750);
            max-width: inherit;
        }

        &__media {
            right: 0;
            bottom: 0;
            width: 705px;
            height: 470px;
            position: absolute;
        }

        &__order {
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        &__title {
            margin-bottom: 0;
        }

        &__countdown {
            width: rem(428);
            margin-bottom: 0;
            margin-right: rem(40);
        }
    }

    @media (min-width: $screen-xxl) {

        &__countdown {
            width: rem(458);
        }
    }
}

.countdown {
    line-height: normal;
    display: flex;
    align-items: center;
    justify-content: space-between;

    &__item {
        text-align: center;
        white-space: nowrap;
    }

    &__value {
        font-weight: 700;
        font-size: rem(38);
        line-height: normal;
        text-transform: uppercase;
        color: var(--color-white);
        font-family: var(--font-secondary);
    }

    &__label {
        color: #D3D3D3;
        font-weight: 500;
        font-size: rem(18);
        line-height: normal;
    }

    @include media-breakpoint-up(md) {

        &__item {
            text-align: left;
        }

        &__value {
            font-size: rem(68);
        }

        &__label {

        }
    }

    @include media-breakpoint-up(xl) {

    }
}
